Package commoble.morered.wire_post

# Class BundledCableRelayPlateBlockEntity

java.lang.Object
net.minecraftforge.common.capabilities.CapabilityProvider<net.minecraft.world.level.block.entity.BlockEntity>
net.minecraft.world.level.block.entity.BlockEntity
commoble.morered.wire_post.WirePostBlockEntity
commoble.morered.wire_post.BundledCablePostBlockEntity
commoble.morered.wire_post.BundledCableRelayPlateBlockEntity

All Implemented Interfaces:
  `ChanneledPowerSupplier`, `net.minecraftforge.common.capabilities.ICapabilityProvider`, `net.minecraftforge.common.capabilities.ICapabilityProviderImpl<net.minecraft.world.level.block.entity.BlockEntity>`, `net.minecraftforge.common.capabilities.ICapabilitySerializable<net.minecraft.nbt.CompoundTag>`, `net.minecraftforge.common.extensions.IForgeBlockEntity`, `net.minecraftforge.common.util.INBTSerializable<net.minecraft.nbt.CompoundTag>`

public class BundledCableRelayPlateBlockEntity extends BundledCablePostBlockEntity implements ChanneledPowerSupplier

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraftforge.common.capabilities.CapabilityProvider

`net.minecraftforge.common.capabilities.CapabilityProvider.AsField<B extends net.minecraftforge.common.capabilities.ICapabilityProviderImpl<B>>`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final net.minecraftforge.common.util.LazyOptional<ChanneledPowerSupplier>`
`powerHolder`

### Fields inherited from class commoble.morered.wire_post.BundledCablePostBlockEntity

`power, POWER`

### Fields inherited from class commoble.morered.wire_post.WirePostBlockEntity

`BLOCKPOS_LISTER, CONNECTIONS, EMPTY_AABB`

### Fields inherited from class net.minecraft.world.level.block.entity.BlockEntity

`level, remove, worldPosition`

### Fields inherited from interface net.minecraftforge.common.extensions.IForgeBlockEntity

`INFINITE_EXTENT_AABB`

## Constructor Summary

Constructors
Constructor
Description
`BundledCableRelayPlateBlockEntity(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`
`BundledCableRelayPlateBlockEntity(net.minecraft.world.level.block.entity.BlockEntityType<? extends BundledCableRelayPlateBlockEntity> type, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`

## Method Summary

Modifier and Type
Method
Description
`<T> net.minecraftforge.common.util.LazyOptional<T>`
`getCapability(net.minecraftforge.common.capabilities.Capability<T> cap, net.minecraft.core.Direction side)`
`int`
`getPowerOnChannel(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos wirePos, net.minecraft.world.level.block.state.BlockState wireState, net.minecraft.core.Direction wireFace, int channel)`
Gets the per-channel power of the block this wire connector is assigned to.
`byte[]`
`getStrongestNeighborPower()`
`void`
`invalidateCaps()`

### Methods inherited from class commoble.morered.wire_post.BundledCablePostBlockEntity

`getCablePost, getPower, readCommonData, saveAdditional, setPower, setPower, updatePower`

### Methods inherited from class commoble.morered.wire_post.WirePostBlockEntity

`addConnection, addConnection, arePostsConnected, clearRemoteConnections, denormalizePos, getAABBContainingAllBlockPos, getConnectionVector, getNestedBoundingBoxForConnectedPos, getRemoteConnectionBoxes, getRemoteConnections, getRenderBoundingBox, getUpdatePacket, getUpdateTag, hasRemoteConnection, load, normalizePos, notifyConnections, onCommonDataUpdated, removeConnection, setConnectionsRaw`

### Methods inherited from class net.minecraft.world.level.block.entity.BlockEntity

`addEntityType, clearRemoved, fillCrashReportCategory, getBlockPos, getBlockState, getLevel, getPersistentData, getPosFromTag, getType, hasLevel, isRemoved, loadStatic, onChunkUnloaded, onlyOpCanSetNbt, saveToItem, saveWithFullMetadata, saveWithId, saveWithoutMetadata, setBlockState, setChanged, setChanged, setLevel, setRemoved, triggerEvent`

### Methods inherited from class net.minecraftforge.common.capabilities.CapabilityProvider

`areCapsCompatible, areCapsCompatible, deserializeCaps, gatherCapabilities, gatherCapabilities, gatherCapabilities, getCapabilities, reviveCaps, serializeCaps`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraftforge.common.capabilities.ICapabilityProvider

`getCapability`

### Methods inherited from interface net.minecraftforge.common.extensions.IForgeBlockEntity

`deserializeNBT, getModelData, handleUpdateTag, hasCustomOutlineRendering, onDataPacket, onLoad, requestModelDataUpdate, serializeNBT`

## Field Details

### powerHolder

protected final net.minecraftforge.common.util.LazyOptional<ChanneledPowerSupplier> powerHolder

## Constructor Details

### BundledCableRelayPlateBlockEntity

public BundledCableRelayPlateBlockEntity(net.minecraft.world.level.block.entity.BlockEntityType<? extends BundledCableRelayPlateBlockEntity> type, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

### BundledCableRelayPlateBlockEntity

public BundledCableRelayPlateBlockEntity(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

## Method Details

### getPowerOnChannel

public int getPowerOnChannel(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos wirePos, net.minecraft.world.level.block.state.BlockState wireState, net.minecraft.core.Direction wireFace, int channel)
Description copied from interface: `ChanneledPowerSupplier`
Gets the per-channel power of the block this wire connector is assigned to. Internally, cable blocks use 0-31 for power storage (redstone-capable cables output half of this value to non-wires).

Specified by:
  `getPowerOnChannel` in interface `ChanneledPowerSupplier`
Parameters:
  `world` - The world we're doing power queries in
  `wirePos` - The position of a wire block
  `wireState` - The blockstate of the block requesting power. Not guaranteed to be any particular class or have any particular blockstate properties.
  `wireFace` - The attachment face of the subwire we're supplying power to. Can be null if e.g. querier isn't a wire-like block.
  `channel` - The channel index we're querying power for. Currently values [0,15] are supported (equivalent to dyecolor ordinals)
Returns:
  a power value in the range [0, 31]

### getCapability

public <T> net.minecraftforge.common.util.LazyOptional<T> getCapability(net.minecraftforge.common.capabilities.Capability<T> cap, net.minecraft.core.Direction side)

Specified by:
  `getCapability` in interface `net.minecraftforge.common.capabilities.ICapabilityProvider`
Overrides:
  `getCapability` in class `net.minecraftforge.common.capabilities.CapabilityProvider<net.minecraft.world.level.block.entity.BlockEntity>`

### invalidateCaps

public void invalidateCaps()

Specified by:
  `invalidateCaps` in interface `net.minecraftforge.common.capabilities.ICapabilityProviderImpl<net.minecraft.world.level.block.entity.BlockEntity>`
Overrides:
  `invalidateCaps` in class `net.minecraftforge.common.capabilities.CapabilityProvider<net.minecraft.world.level.block.entity.BlockEntity>`

### getStrongestNeighborPower

public byte[] getStrongestNeighborPower()

Overrides:
  `getStrongestNeighborPower` in class `BundledCablePostBlockEntity`